Subject: bug#12702: 24.2; Orgmode Refile complains "Not bookmark format"

From: Glenn Morris <[email-masked]>
Date: Tue, 23 Oct 2012 03:50:06 -0400

Jonathan Schaeffer wrote:

> (I made a reply all, is that alright ?)

Yes, that's the right thing to do.

> with emacs -Q, I can not reproduce the bug. But refile does not work
> at all, (Complains : wrong type argument arrayp,nil).
> I do :
> 1. emacs -Q
> 2. C-x C-f refiletest.org
> 3. Fill the buffer with :
> * Entry One
> * Entry Two
> ** Refile Me
>
> 4. Hit C-c C-w
> 5. The entry is duplicated and I can read the error message "Not
> bookmark format)

Sorry, this works fine for me with Emacs 24.2. Maybe someone who
actually uses Org will step in and help...

> If, instead of visiting a file, I open just a new buffer with "C-x b
> test.org", the behaviour is different :
> On refile (C-c C-w) nothing happens but the error message shows:
> wrong type argument: arrayp, nil

This doesn't make sense to me; because just doing `C-x b test.org' creates
a buffer in fundamental mode, where C-c C-w is not bound to any key.

It seems like your Emacs must be customized in some way, even with
`emacs -Q'...

> I hope this helps. I have the archlinux build of emacs, so maybe the
> error is on the packaging side ?